﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;

public partial class UserForms_CurrentBoard : System.Web.UI.Page
{
    SqlConnection conn = new SqlConnection(Azure.DBCon.ConnectionString.ToString());
    protected void Page_Load(object sender, EventArgs e)
    {
        GridView1.GridLines = GridLines.Both;
        GridView1.RowDataBound += new GridViewRowEventHandler(GridView1_RowDataBound);
        if (!IsPostBack)
        {
            hdnmeetingid.Value = "";
            lblnodata.Visible = false;
            Commentform.Visible = false;
            DataTable dt = Azure.AZUREClass.getDataTable("Select Meeting_Id,Agenda,Convert(varchar,Date,103) as 'Meeting Date','' as 'Comments' from Meetings where Del_Flag='N' and Type = 'E'  and IsOpen='Y'  order by Date desc");
            if (dt.Rows.Count > 0)
            {
                GridView1.DataSource = dt;
                GridView1.DataBind();
            }
            else
            {
                lblnodata.Visible = true;
            }
        }
        else
        {
            bindgrid();
        }
    }

    public void bindgrid()
    {
        if (GridView1.HeaderRow != null)
        {
            DataRow drcopy;
            DataTable dtcopy = new DataTable();
            for (int i = 0; i < GridView1.HeaderRow.Cells.Count; i++)
            {
                dtcopy.Columns.Add(GridView1.HeaderRow.Cells[i].Text.ToString());
            }

            for (int n = 0; n < GridView1.Rows.Count; n++)
            {
                drcopy = dtcopy.NewRow();
                for (int i = 0; i < GridView1.HeaderRow.Cells.Count; i++)
                {
                    if (GridView1.Rows[n].Cells[i].Text.ToString().Trim() == "&nbsp;")
                        drcopy[i] = "";
                    else
                        drcopy[i] = GridView1.Rows[n].Cells[i].Text.ToString().Trim().Replace("&amp;", "&");
                }
                dtcopy.Rows.Add(drcopy);
            }
            GridView1.DataSource = dtcopy;
            GridView1.DataBind();
        }
    }
    void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        e.Row.Cells[0].Style.Add("display", "none");
        e.Row.Cells[3].Attributes.Add("align", "center");
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            ImageButton Img = new ImageButton();
            Img.ImageUrl = "../Images/comments.png";

            Img.CommandArgument = e.Row.Cells[0].Text.ToString().Replace("&nbsp;", "").Trim();
            Img.Click += new ImageClickEventHandler(Img_Click);
            e.Row.Cells[3].Controls.Add(Img);
        }
    }

    void Img_Click(object sender, ImageClickEventArgs e)
    {
        ImageButton btn = (ImageButton)sender;
        string meetingid = btn.CommandArgument.ToString().Trim();
        txtcomments.Text = "";
        lblmeetingname.Text = "";
        lbldate.Text = "";
        lbldesc.Text = "";

        if (meetingid.Trim() != "")
        {
            Commentform.Visible = true;
            hdnmeetingid.Value = meetingid.Trim();
            DataTable dt_mtng = Azure.AZUREClass.getDataTable("Select  Agenda, Convert(varchar,Date,103) as 'Meeting_Date', Description, Type, IsOpen, Final_Decision from Meetings where Type = 'E' and Del_Flag='N' and Meeting_Id ='" + meetingid.Trim() + "'");
            if (dt_mtng.Rows.Count > 0)
            {
                if (dt_mtng.Rows[0]["Agenda"].ToString().Trim() != "")
                {
                    lblmeetingname.Text = dt_mtng.Rows[0]["Agenda"].ToString().Trim();
                }
                if (dt_mtng.Rows[0]["Meeting_Date"].ToString().Trim() != "")
                {
                    lbldate.Text = dt_mtng.Rows[0]["Meeting_Date"].ToString().Trim();
                }
                if (dt_mtng.Rows[0]["Description"].ToString().Trim() != "")
                {
                    lbldesc.Text = dt_mtng.Rows[0]["Description"].ToString().Trim();
                }
            }
            DataTable dt_comments = Azure.AZUREClass.getDataTable("Select * from Comments where Meeting_Id ='" + meetingid.Trim() + "' and User_ID='" + Session["LogeedUser"] + "' and Del_Flag='N'");
            if (dt_comments.Rows.Count > 0)
            {
                if (dt_comments.Rows[0]["Comment"].ToString().Trim() != "")
                {
                    txtcomments.Text = dt_comments.Rows[0]["Comment"].ToString().Trim();
                }
            }
        }
    }

   
    protected void btnsubmit_Click(object sender, EventArgs e)
    {
        try
        {
            //if (txtcomments.Text.ToString().Trim() == "")
            //{
            //    string strscript = "alert('Enter your Comments...');";
            //    ScriptManager.RegisterStartupScript(this, this.GetType(), "alertBox1", strscript, true);
            //    return;
            //}
            //else
            //{
                //SP_ADD_COMMENTS
                if (conn.State == ConnectionState.Closed)
                    conn.Open();
                SqlCommand cmd = new SqlCommand("SP_ADD_COMMENTS", conn);
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.Parameters.Add("@Comment", SqlDbType.VarChar);
                cmd.Parameters["@Comment"].Value = txtcomments.Text.ToString().Trim();
                cmd.Parameters.Add("@Meeting_Id", SqlDbType.Int);
                cmd.Parameters["@Meeting_Id"].Value = hdnmeetingid.Value.ToString().Trim();
                cmd.Parameters.Add("@User_ID", SqlDbType.VarChar);
                cmd.Parameters["@User_ID"].Value = Session["LogeedUser"] + "".ToString();
                cmd.ExecuteNonQuery();

                string strscript = "alert('Comment Saved Succesfuly...');";
                ScriptManager.RegisterStartupScript(this, this.GetType(), "alertBox2", strscript, true);
                return;

           // }
        }
        catch { }
    }
    protected void btnclear_Click(object sender, EventArgs e)
    {
        txtcomments.Text = "";
    }
    protected void lnkcurrentboard_Click(object sender, EventArgs e)
    {
        Response.Redirect("CurrentExecutive.aspx");
    }
    protected void lnkpreviousboard_Click(object sender, EventArgs e)
    {
        Response.Redirect("PreviousExecutive.aspx");
    }
}